Loading...
Searching...
No Matches
TriggerSlopeMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getPos ()
void | getNeg ()

## Signals

void | whichTrigger (gr::qtgui::trigger_slope slope)

## Public Member Functions

| TriggerSlopeMenu (QWidget *parent)
| ~TriggerSlopeMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getAction (gr::qtgui::trigger_slope slope)

## Constructor & Destructor Documentation

## TriggerSlopeMenu()

TriggerSlopeMenu::TriggerSlopeMenu | ( | QWidget * | parent | ) |

inline

References getNeg(), and getPos().

## ~TriggerSlopeMenu()

TriggerSlopeMenu::~TriggerSlopeMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction() [1/2]

QAction * TriggerSlopeMenu::getAction | ( | gr::qtgui::trigger_slope | slope | ) |

inline

References gr::qtgui::TRIG_SLOPE_NEG, and gr::qtgui::TRIG_SLOPE_POS.

## getAction() [2/2]

QAction * TriggerSlopeMenu::getAction | ( | unsigned int | which | ) |

inline

## getNeg

void TriggerSlopeMenu::getNeg | ( |  | ) |

inline slot

References gr::qtgui::TRIG_SLOPE_NEG, and whichTrigger().

Referenced by TriggerSlopeMenu().

## getNumActions()

int TriggerSlopeMenu::getNumActions | ( |  | ) | const

inline

## getPos

void TriggerSlopeMenu::getPos | ( |  | ) |

inline slot

References gr::qtgui::TRIG_SLOPE_POS, and whichTrigger().

Referenced by TriggerSlopeMenu().

## whichTrigger

void TriggerSlopeMenu::whichTrigger | ( | gr::qtgui::trigger_slope | slope | ) |

signal

Referenced by getNeg(), and getPos().

The documentation for this class was generated from the following file:

- form_menus.h